--------------------------------------------------------------------
-- PLG Variables
--------------------------------------------------------------------

---------------------------
-- core
---------------------------
PLG = {}

---------------------------
-- debug variables
---------------------------
PLG.debug = false
PLG.verbose = false
PLG.debugProfession = "Alchemy"
PLG.debugEarned = 1
PLG.debugTotal = 75

---------------------------
-- variables
---------------------------
PLG.lastSID = 0
PLG.maxLevel = 600
PLG.pFaction = UnitFactionGroup("player")
PLG.pLevel = UnitLevel("player")
PLG.Professions = { GetProfessions() }
PLG.selectedRecipe = 1
PLG.timer = 0
PLG.tooltip = CreateFrame("GameTooltip","PLG_Tooltip",UIParent,"GameTooltipTemplate")

---------------------------
-- switches
---------------------------
PLG.carbonite = nil
PLG.loaded = false
PLG.newRecipe = false
PLG.tomtom = nil
PLG.waitForServer = false

---------------------------
-- events
---------------------------
PLG.events = {
	"CHAT_MSG_SKILL",
	"SKILL_LINES_CHANGED",
	"TRADE_SKILL_UPDATE",
	"TRADE_SKILL_SHOW",
	"TRADE_SKILL_CLOSE",
	"BAG_UPDATE",
}

---------------------------
-- colors
---------------------------
PLG.colors = {
	["BLUE"]   = "|cFF69CCF0",
	["GRAY"]   = "|cff8F8F8F",
	["ORANGE"] = "|cffff7700",
	["GREEN"]  = "|cff00ff00",
	["YELLOW"] = "|cffffff00",
	["WHITE"]  = "|cffffffff",
	["RGB"]    = {
		["WHT"] = { 1, 1, 1 },
		["GRY"] = { .5, .5, .5 },
		["GRN"] = { .3, 1, .3 },
		["GLD"] = { .9, .7, .2 },
		["YEL"] = { 1, 1, 0 },
		["BLU"] = { 0, .4, 1 },
		["LBL"] = { .4, .8, .94 },
		["RED"] = { 1, 0, 0 },
		["PPL"] = { .6, 0, .8 },
		["ORA"] = { 1, .46, 0 },
	},
}

---------------------------
-- textures
---------------------------
PLG.textures = {
	["TSRFBON"]   = "Interface\\AddOns\\PLG\\BarBorder.tga",
	["TSRFBOFF"]  = "Interface\\PaperDollInfoFrame\\UI-Character-Skills-BarBorder",
	["BORDER"]    = "Interface\\AddOns\\PLG\\VerticalBar.tga",
	["HELP"]      = "Interface\\BUTTONS\\UI-MicroButton-Help-Up",
	["HELPDEBUG"] = "Interface\\BUTTONS\\UI-MicroStream-Green",
}

---------------------------
-- localization
---------------------------
PLG.msgs = {
	["ERR_LEARN"]     = "Go to your trainer and learn the following recipe:",
	["ERR_LOW_LEVEL"] = "You must be level %s to use the following recipe:",
	["ERR_MAX_LEVEL"] = "You have nothing further to learn, Grasshopper",
	["ERR_MAX_SKILL"] = "You have reached the max skill for this level. Go see your trainer.",
	["CREATE"]        = "Create %s of the following recipe until skill level %s.",
	["TRAINER"]       = "Go see your trainer!",
	["QUEST1"]        = "This recipe must be obtained through the above quest chain.  The quest giver and location are listed below. Click to set a waypoint.",
	["QUEST2"]        = "This quest chain must be completed first.  The quest giver and location are listed below.",
	["VENDOR1"]       = "This recipe must be obtained through a vendor.  The vendor and location are listed below. Click to set a waypoint.",
	["KEEP"]          = "You will need to keep these for future recipes.",
}

PLG.strings = {
	["TITLE"]         = "Profession Leveling Guide",
	["NAME"]          = "PLG",
	["INSTRUCTIONS"]  = "Instructions",
	["WAITING"]       = "Waiting for server...",
	["RECIPE"]        = "Recipe",
	["ALTERNATE"]     = "Alternate",
	["REAGENTS"]      = "Reagents Needed",
	["SELECT"]        = "(Click to select)",
	["QUEST1TITLE"]   = "Recipe Quest",
	["QUEST2TITLE"]   = "Prerequisite Quest",
	["QUEST"]         = "QUEST",
	["NPC"]           = "Vendor",
	["LOCATION"]      = "Location",
	["VENDOR"]        = "Recipe Vendor",
	["HELPTTTITLE"]   = "PLG Help",
	["HELPTTTEXT"]    = "Click to show/hide the help screen for ",
	["HELPTEXT"]      = "The instructions text will provide important information such as how many of a pattern or recipe to create, or when to see your trainer.  PLG will switch to a new recipe determined by the current skill level. \n\nSometimes an alternate recipe will be shown.  Click it to display the alternate recipe's reagents. Recipes that are not selected will appear to be greyed out. The reagents listed will show the number available over the total number needed to get to the next level. \n\nSometimes a recipe must be obtained from a specific vendor or quest chain.  A link will be shown "..PLG.colors.BLUE.."[Vendor]|r next to the primary recipe.  The tooltip of this link will display the quest, vendor, and vendor location.  Clicking the link will set a waypoint in TomTom or Carbonite. \n\nAny item that can be clicked will cause the cursor to glow blue. \n\nEach recipe, if known, will be selected automatically in the skills list located in the top left frame.",
}